function qset = testlaw_pst(test)
load(test,'time_sim_c','q_actual_c','qd_actual_c','qdd_target_c');

for i = 1:6
    pos.signals.values(:,1,i)=q_actual_c(:,i);
    pos.signals.values(:,2,i)=qd_actual_c(:,i);
    pos.signals.values(:,3,i)=qdd_target_c(:,i);
end

qset.q1.time = time_sim_c-time_sim_c(1);
qset.q1.signals.values = pos.signals.values(:,:,1);
qset.q2.time = time_sim_c-time_sim_c(1);
qset.q2.signals.values = pos.signals.values(:,:,2);
qset.q2.signals.values(:,1) = qset.q2.signals.values(:,1)+pi;
qset.q3.time = time_sim_c-time_sim_c(1);
qset.q3.signals.values = pos.signals.values(:,:,3);
qset.q4.time = time_sim_c-time_sim_c(1);
qset.q4.signals.values = pos.signals.values(:,:,4);
qset.q4.signals.values(:,1) = qset.q4.signals.values(:,1)+pi;
qset.q5.time = time_sim_c-time_sim_c(1);
qset.q5.signals.values = pos.signals.values(:,:,5);
qset.q6.time = time_sim_c-time_sim_c(1);
qset.q6.signals.values = pos.signals.values(:,:,6);

end